Package org.apache.wiki.ui.admin

## Class WikiFormAdminBean

- java.lang.Object
- - org.apache.wiki.ui.admin.WikiFormAdminBean

All Implemented Interfaces:
  `AdminBean`, `GenericHTTPHandler`

    public abstract class WikiFormAdminBean
    extends java.lang.Object
    implements AdminBean

This class is still experimental.

### Field Summary

### Fields inherited from interface org.apache.wiki.ui.admin.AdminBean

`CORE, EDITOR, UNKNOWN`

### Constructor Summary

Constructors
`WikiFormAdminBean()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`java.lang.String` `doGet​(Context context)` Return basic HTML.
`abstract java.lang.String` `getForm​(Context context)`
`java.lang.String` `handlePost​(Context context, javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
`abstract void` `handleResponse​(Context context, java.util.Map<?,​?> params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.wiki.ui.admin.AdminBean

`getTitle, getType, initialize`

### Methods inherited from interface org.apache.wiki.ui.GenericHTTPHandler

`doPost, getId`

### Constructor Detail

#### WikiFormAdminBean

    public WikiFormAdminBean()

### Method Detail

#### getForm

    public abstract java.lang.String getForm​(Context context)

#### handleResponse

    public abstract void handleResponse​(Context context,
                                        java.util.Map<?,​?> params)

#### doGet

    public java.lang.String doGet​(Context context)

Description copied from interface: `GenericHTTPHandler`
Return basic HTML.

Specified by:
  `doGet` in interface `GenericHTTPHandler`
Parameters:
  `context` - associated WikiContext
Returns:
  the HTML for the bean

#### handlePost

    public java.lang.String handlePost​(Context context,
                                       javax.servlet.http.HttpServletRequest req,
                                       javax.servlet.http.HttpServletResponse resp)